Bug 996425 - Unhandled FileAlreadyExistsException when creating New Form that already exists
Unhandled FileAlreadyExistsException when creating New Form that already exists
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Form Modeler (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER3
: 6.0.0
Assigned To: Neus Miras
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 03:16 EDT by Jan Hrcek
Modified: 2014-08-06 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Steps to reproduce - video (5.16 MB, video/webm)
2013-08-13 03:16 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-08-13 03:16:45 EDT
Created attachment 786019 [details]
Steps to reproduce - video

Description of problem:
When you try to create new form with name that already exists the exception 
org.kie.commons.java.nio.file.FileAlreadyExistsException is thrown, but not treated in UI - it displays 'Creating New Form' indefinitely.


Version-Release number of selected component (if applicable):
6.0.0.CR1

How reproducible:
Always

Steps to Reproduce:
Please see video attached.

Actual results:
'Creating New Form' progress indicator is displayed indefinitely.


Expected results:
For other items in the 'New Item' menu the mechanism is implemented, that causes '<item> lready exissts' popup window to appear. I would expect the same behaviour for 'New form'.
Comment 1 Neus Miras 2013-08-27 10:34:51 EDT
Added an error message "Sorry, an item of that name already exists in the repository. Please choose another." when the user is trying to add another form in the same project with the same name.
Comment 4 Jan Hrcek 2013-09-23 03:44:15 EDT
Ok, verified with BPMS 6.0.0 ER3

Note You need to log in before you can comment on or make changes to this bug.